Summary:	Disk space plugin for the Xfce panel
Summary(de):	Speicherplatz-Erweiterung für das Xfce-Panel
Name:		xfce4-fsguard-plugin
Version:	1.1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-fsguard-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-fsguard-plugin/%{name}-%{version}.tar.xz
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	perl(XML::Parser)
Obsoletes:	xfce-fsguard-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version


%description
Disk space panel plugin for the Xfce Desktop Environment.

#german
%description -l de
Speicherplatz Panel-Plugin für das Xfce Desktop Environment.

#french
%description -l fr
Espace disque panel plugin pour l'environnement de bureau Xfce.

#spanish
%description -l es
De espacio de disco del panel plugin para el entorno de escritorio Xfce.

#polish
%description -l pl
Disk space panel plugin for the Xfce Desktop Environment.

#serbian
%description -l sr
Простор на диску панела плугин за Ксфце Десктоп окружење.

#dutch
%description -l nl
Schijfruimte panel plugin voor de Xfce Desktop Environment.

%prep

%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

#Fix desktop file
perl -pi -e "s|libexec|lib|" $RPM_BUILD_ROOT%{_datadir}/xfce4/panel-plugins/*.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/locale/*


%changelog
* Wed Dec 28 2016 adrianomorselli <adrianomorselli> 1.1.0-1uplos2016
- rebuild

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 1.1.0-1pclos2017
- 1.1.0

* Sat Jul 30 2016 ghostbunny <ghostbunny at gmx dot de> 1.0.99-1pclos2016
- 1.0.99

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.0.2-1pclos2015
- 1.0.2
- add missing BRs libxfce4ui-devel and libxfce4util-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.0.1-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.0.1-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.0.1-1pclos2012
- 1.0.1
- added german summary
- fixed files section

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.0.0-3pclos2012
- rebuild

* Fri Mar 25 2011 Texstar <texstar at gmail.com> 1.0.0-2pclos2011
- fix desktop file

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 1.0.0-1pclos2011
- updated for xfce4.8

* Sun Nov 14 2010 Sproggy <desproggster@gmail.com> 0.4.2-3pclos2010
- update for xfce4.8pre1

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 0.4.2-2
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 0.4.2-1pclos2007
- create
